Composer (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.lms

## Class Composer

- java.lang.Object
- - org.bouncycastle.pqc.crypto.lms.Composer

-     public class Composer
      extends java.lang.Object

  Type to assist in build LMS messages.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Composer` | `bool(boolean v)`
    `byte[]` | `build()`
    `Composer` | `bytes(byte[] array)`
    `Composer` | `bytes(byte[][] arrays)`
    `Composer` | `bytes(byte[][] arrays, int start, int end)`
    `Composer` | `bytes(byte[] array, int start, int len)`
    `Composer` | `bytes(Encodable encodable)`
    `Composer` | `bytes(Encodable[] encodable)`
    `static Composer` | `compose()`
    `Composer` | `pad(int v, int len)`
    `Composer` | `padUntil(int v, int requiredLen)`
    `Composer` | `u16str(int n)`
    `Composer` | `u32str(int n)`
    `Composer` | `u64str(long n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### compose

          public static Composer compose()

    - #### u64str

          public Composer u64str(long n)

    - #### u32str

          public Composer u32str(int n)

    - #### u16str

          public Composer u16str(int n)

    - #### bytes

          public Composer bytes(Encodable[] encodable)

    - #### bytes

          public Composer bytes(Encodable encodable)

    - #### pad

          public Composer pad(int v,
                              int len)

    - #### bytes

          public Composer bytes(byte[][] arrays)

    - #### bytes

          public Composer bytes(byte[][] arrays,
                                int start,
                                int end)

    - #### bytes

          public Composer bytes(byte[] array)

    - #### bytes

          public Composer bytes(byte[] array,
                                int start,
                                int len)

    - #### build

          public byte[] build()

    - #### padUntil

          public Composer padUntil(int v,
                                   int requiredLen)

    - #### bool

          public Composer bool(boolean v)